
/*********
 *
 * JavaScript stuff for the main page.
 *
 * Set up and implement two buttons that change the background image.
 *
 *********/

/* 'global' variables available to all these functions. */
var body, kite_button, flowers_button;

/* What should happen when the user clicks on the flower button. */
function kite_click(){
  body.style.backgroundImage = 'url(images/kite.jpg)';
  kite_button.disabled = true;
  flowers_button.disabled = false;
  kite_button.blur(); /* take away focus, i.e. unclick it */
}

/* What should happen when the user clicks on the flower button. */
function flowers_click(){
  body.style.backgroundImage = 'url(images/flowers.jpg)';
  flowers_button.disabled = true;
  kite_button.disabled = false;
  flowers_button.blur(); /* take away focus, i.e. unclick it */
}

/* What should happen just after the page loads. */
function init(){
  /* Remember these guys as global variables.  (See above.)  */
  body = document.getElementsByTagName('body')[0]; /* 0'th body tag */
  kite_button = document.getElementById('kite');
  flowers_button = document.getElementById('flowers');
  /* Assign event handlers. */
  kite_button.onclick = kite_click;
  flowers_button.onclick = flowers_click;
  kite_button.disabled = true;
}

/* Tell the window to call the init() function after it loads. */
window.onload = init;
